## wtmpdb 0.13.0

=== meson_options.txt ===
option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'auto',
       description : 'build and install man pages')
option('audit', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'auto',
       description : 'libaudit support')
option('systemd', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'auto',
       description : 'systemd support to detect soft-reboots')
option('compat-symlink', type : 'boolean',
       value : false,
       description : 'create last compat symlink')

## wtmpdb 0.12.0

=== debian/changelog ===
wtmpdb (0.12.0-3) unstable; urgency=medium

  * Stop using wtmpdb@packages.debian.org as maintainer.
    Fails to deliver mails, unfortunately.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Jul 2024 23:35:17 +0200

wtmpdb (0.12.0-2) unstable; urgency=medium

  * Bump version number to fix upload of unfinished 0.12.0-1.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 00:50:48 +0200

wtmpdb (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: add.
  * d/gbp.conf: fix compression setting
  * Tighten package-local Depends on libwtmpdb0
  * Install /usr/bin/last symlink, Break/Replace util-linux.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 00:00:57 +0200

wtmpdb (0.11.0-2) unstable; urgency=medium

  * libwtmpdb-dev: fix Section to be libdevel
  * libpam-wtmpdb: fix Section to be admin

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Apr 2024 21:50:40 +0200

wtmpdb (0.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1068289)
  * Introduces Priority: standard packages, as they are intended to
    replace functionality previously provided by Essential: yes packages.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 03 Apr 2024 02:24:11 +0200

=== debian/control ===
Source: wtmpdb
Build-Depends:
 debhelper-compat (= 13),
 dh-package-notes,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 docbook-xml,
 docbook-xsl,
 docbook-xsl-ns,
 libaudit-dev,
 libpam0g-dev,
 libsqlite3-dev,
 libsystemd-dev [linux-any],
 meson,
 pkgconf,
 systemd-dev [linux-any],
 xsltproc,
Priority: optional
Maintainer: Chris Hofstaedtler <zeha@debian.org>
Section: admin
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/wtmpdb
Vcs-Git: https://salsa.debian.org/debian/wtmpdb.git
Homepage: https://github.com/thkukuk/wtmpdb/

Package: libwtmpdb0
Architecture: any
Section: libs
Multi-Arch: same
Description: wtmp database shared library
 Y2038 safe wtmp database implementation, library files.

Package: libwtmpdb-dev
Architecture: any
Section: libdevel
Description: libwtmpdb development files
 Y2038 safe wtmp database implementation, development files.

Package: libpam-wtmpdb
Architecture: any
Priority: standard
Depends:
 libpam-runtime,
Recommends:
 wtmpdb,
Multi-Arch: same
Description: wtmp database PAM module
 Y2038 safe wtmp database implementation, PAM module.

Package: wtmpdb
Architecture: any
Priority: standard
Replaces:
 util-linux (<< 2.40.1-3),
Breaks:
 util-linux (<< 2.40.1-3),
Recommends:
 libpam-wtmpdb,
Multi-Arch: foreign
Description: Read wtmp database
 This package provides the wtmpdb program, to read the
 wtmp database.

## wtmpdb 0.13.0

=== debian/changelog ===
wtmpdb (0.13.0-6) unstable; urgency=medium

  * QA upload.
  * Patch erratic command line time parsing (LP: #2088387)
  * Add initscript to write boot and shutdown entries.
    Thanks to Mark Hindley <mark@hindley.org.uk> (Closes: #1094921)
  * Minor changes to appease Lintian and lrc
    - d/lrc.config: exclude false positive for test code
    - d/rules: whitespace change
    - pam: remove surplus lintian override following section move
    - Override lintian false positive for pam module man page

 -- Andrew Bower <andrew@bower.uk>  Wed, 05 Feb 2025 06:44:16 +0000

wtmpdb (0.13.0-5) unstable; urgency=medium

  * QA upload.
  * Accept classic 'last -<number>' style of invocation (Closes: #1094286)
  * d/wtmpdb.cron.monthly: rotate logs for all users
  * d/.gitignore: add gitignore
  * d/control: already conforming with policy v4.7.0

 -- Andrew Bower <andrew@bower.uk>  Thu, 30 Jan 2025 01:11:01 +0000

wtmpdb (0.13.0-4) unstable; urgency=medium

  * Orphan package

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 03 Jan 2025 19:30:53 +0100

wtmpdb (0.13.0-3) unstable; urgency=medium

  * Use upstream patch for dbus Wants/After.
    Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #1091699)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Dec 2024 10:12:10 +0100

wtmpdb (0.13.0-2) unstable; urgency=medium

  [ Justin B Rye ]
  * Update package descriptions

  [ Chris Hofstaedtler ]
  * Want dbus.socket for org.freedesktop.systemd1.Manager (Closes: #1091641)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 29 Dec 2024 13:40:55 +0100

wtmpdb (0.13.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1076640).

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Jul 2024 16:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
  systemd-dev [linux-any],
  xsltproc,
 Priority: optional
-Maintainer: Chris Hofstaedtler <zeha@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: admin
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/wtmpdb
 Vcs-Git: https://salsa.debian.org/debian/wtmpdb.git
@@ -28,13 +28,13 @@
 Section: libs
 Multi-Arch: same
 Description: wtmp database shared library
- Y2038 safe wtmp database implementation, library files.
+ Year-2038 safe wtmp database implementation, library files.
 
 Package: libwtmpdb-dev
 Architecture: any
 Section: libdevel
 Description: libwtmpdb development files
- Y2038 safe wtmp database implementation, development files.
+ Year-2038 safe wtmp database implementation, development files.
 
 Package: libpam-wtmpdb
 Architecture: any
@@ -45,7 +45,8 @@
  wtmpdb,
 Multi-Arch: same
 Description: wtmp database PAM module
- Y2038 safe wtmp database implementation, PAM module.
+ Year-2038 safe wtmp database implementation, PAM module. Successful logins
+ will be recorded in the wtmp database, if enabled.
 
 Package: wtmpdb
 Architecture: any
@@ -57,6 +58,9 @@
 Recommends:
  libpam-wtmpdb,
 Multi-Arch: foreign
-Description: Read wtmp database
- This package provides the wtmpdb program, to read the
- wtmp database.
+Description: utility to display login/logout/reboot information
+ This package provides the program wtmpdb, which reads wtmp's
+ database of user logins/logouts and system reboots.
+ .
+ It provides a year-2038 safe replacement for the traditional Unix
+ "last" utility.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

CONFOPTS=-Dsplit-usr=false

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS)

override_dh_installinit:
	dh_installinit --name=wtmpdb-update-boot

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/thkukuk/wtmpdb/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## wtmpdb 0.72.0

=== debian/changelog ===
wtmpdb (0.72.0-1) unstable; urgency=medium

  [ Andrew Bower ]
  * New upstream version
    - drop format specifiers patch adopted upstream
    - no other upstream changes in this release
  * hurd: patch test to avoid PATH_MAX

 -- Andrew Bower <andrew@bower.uk>  Thu, 06 Mar 2025 06:55:51 +0000

wtmpdb (0.71.0+git20250228.4e4b54e-2) unstable; urgency=medium

  * i386: use t64 for y2038 autopkgtest on t32 archs
  * hurd: patch for lack of non-critical CLOCK_BOOTTIME
  * init: fix single-shot properties of boot record service.
    + Thanks to Lorenzo Puliti.
    + Remove associated lintian override about runlevels.

 -- Andrew Bower <andrew@bower.uk>  Wed, 05 Mar 2025 18:56:37 +0000

wtmpdb (0.71.0+git20250228.4e4b54e-1) unstable; urgency=medium

  [ Andrew Bower ]
  * New maintainer (Closes: #1092022)
  * New upstream version (Closes: #1099168)
    - drop all patches; they are included upstream
    - exclude new 'wtmpdbd' daemon from packaging
    - include unreleased 'wtmpdb import' command (Closes: #1086559)
  * Patch integer format string errors affecting ILP32 archs
  * Patch out noisy logging when systemd not running
  * Add symbol version mapping for libwtmpd0
  * d/control
    - add myself as maintainer
    - already conforming with policy v4.7.2
    - non-essential libaudit dependency not available for Hurd
  * d/wtmpdb.cron.monthly
    - appease SC2166
    - squelch non-error output
  * d/copyright: reflect additional and updated content
  * d/lrc.config: do not check excluded wtmpdbd and varlink content
  * add d/upstream/metadata
  * dh_installinit: no-stop-on-upgrade

  [ Maytham Alsudany ]
  * Run upstream tests with autopkgtest

 -- Andrew Bower <andrew@bower.uk>  Tue, 04 Mar 2025 20:07:14 +0000

=== debian/control ===
Source: wtmpdb
Build-Depends:
 debhelper-compat (= 13),
 dh-package-notes,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 docbook-xml,
 docbook-xsl,
 docbook-xsl-ns,
 libaudit-dev [linux-any],
 libpam0g-dev,
 libsqlite3-dev,
 libsystemd-dev [linux-any],
 meson,
 pkgconf,
 systemd-dev [linux-any],
 xsltproc,
Priority: optional
Maintainer: Andrew Bower <andrew@bower.uk>
Section: admin
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/wtmpdb
Vcs-Git: https://salsa.debian.org/debian/wtmpdb.git
Homepage: https://github.com/thkukuk/wtmpdb/

Package: libwtmpdb0
Architecture: any
Section: libs
Multi-Arch: same
Description: wtmp database shared library
 Year 2038-safe wtmp database implementation, library files.

Package: libwtmpdb-dev
Architecture: any
Section: libdevel
Description: libwtmpdb development files
 Year 2038-safe wtmp database implementation, development files.

Package: libpam-wtmpdb
Architecture: any
Priority: standard
Depends:
 libpam-runtime,
Recommends:
 wtmpdb,
Multi-Arch: same
Description: wtmp database PAM module
 Year 2038-safe wtmp database implementation, PAM module. Successful logins
 will be recorded in the wtmp database, if enabled.

Package: wtmpdb
Architecture: any
Priority: standard
Replaces:
 util-linux (<< 2.40.1-3),
Breaks:
 util-linux (<< 2.40.1-3),
Recommends:
 libpam-wtmpdb,
Multi-Arch: foreign
Description: utility to display login/logout/reboot information
 This package provides the program wtmpdb, which reads wtmp's
 database of user logins/logouts and system reboots.
 .
 It provides a year 2038-safe replacement for the traditional Unix
 "last" utility.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

CONFOPTS=-Dsplit-usr=false -Dwtmpdbd=disabled

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS)

override_dh_installinit:
	dh_installinit --name=wtmpdb-update-boot --no-stop-on-upgrade

## wtmpdb 0.73.0

=== debian/changelog ===
wtmpdb (0.73.0-3) unstable; urgency=medium

  * Do not rotate database by default because the rotation operation does
    not prune and therefore only has negative utility for users.
    (Mitigates: #1094965)

 -- Andrew Bower <andrew@bower.uk>  Sun, 04 May 2025 18:39:33 +0100

wtmpdb (0.73.0-2) unstable; urgency=medium

  [ Andrew Bower ]
  * pam-configs: inhibit likely duplicate ssh entries (Closes: #1102643)
  * add README.Debian to document consequential differences from wtmp

 -- Andrew Bower <andrew@bower.uk>  Fri, 11 Apr 2025 22:09:16 +0100

wtmpdb (0.73.0-1) unstable; urgency=medium

  [ Andrew Bower ]
  * New upstream version
    - drop patches adopted upstream
    - fixes time specifications (Closes: #1102101)
  * patch to fix import of logins recorded by some wtmp writers
  * refine man page for debian, appeasing lintian
  * d/control:
    - further extend package descriptions (Closes: #1083228)
    - mark libwtmpdb-dev as Multi-Arch: same
  * d/copyright: set missing Upstream-Contact field

 -- Andrew Bower <andrew@bower.uk>  Wed, 09 Apr 2025 19:29:42 +0100

wtmpdb (0.72.0-2) unstable; urgency=medium

  * d/control: depend -dev package on library to fix broken symlinks
  * d/copyright: remove lrc override and document content not used in binary
  * d/patches:
    - fix last -t short option for --until (Closes: #1102102)
    - mark hurd patches as applied upstream
  * maintscripts:
    - force one-off reset of runlevels for wtmpdb-update-boot on upgrade
      from versions between 0.13.0-6 and 0.72.0-1 (Closes: #1102167)
    - import /var/log/wtmp on first installation
    - no need to record a boot entry on installation

 -- Andrew Bower <andrew@bower.uk>  Sun, 06 Apr 2025 17:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -23,18 +23,48 @@
 Vcs-Git: https://salsa.debian.org/debian/wtmpdb.git
 Homepage: https://github.com/thkukuk/wtmpdb/
 
+Package: wtmpdb
+Architecture: any
+Priority: standard
+Replaces:
+ util-linux (<< 2.40.1-3),
+Breaks:
+ util-linux (<< 2.40.1-3),
+Recommends:
+ libpam-wtmpdb,
+Multi-Arch: foreign
+Description: utility to display login/logout/reboot information
+ This package provides the program wtmpdb, which reads wtmpdb's
+ database of user logins/logouts and system reboots.
+ .
+ It provides a year 2038-safe replacement for the traditional Unix
+ "last" utility.
+ .
+ This tool is used within Debian as the integration point for the
+ system to record reboots, rotate the wtmpdb logs or import old wtmp
+ login records.
+
 Package: libwtmpdb0
 Architecture: any
 Section: libs
 Multi-Arch: same
 Description: wtmp database shared library
  Year 2038-safe wtmp database implementation, library files.
+ .
+ This library provides an abstraction for reading and manipulating
+ wtmpdb login and reboot records.
 
 Package: libwtmpdb-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
+Depends:
+ libwtmpdb0 (= ${binary:Version}),
 Description: libwtmpdb development files
  Year 2038-safe wtmp database implementation, development files.
+ .
+ This library provides an abstraction for reading and manipulating
+ wtmpdb login and reboot records.
 
 Package: libpam-wtmpdb
 Architecture: any
@@ -47,20 +77,3 @@
 Description: wtmp database PAM module
  Year 2038-safe wtmp database implementation, PAM module. Successful logins
  will be recorded in the wtmp database, if enabled.
-
-Package: wtmpdb
-Architecture: any
-Priority: standard
-Replaces:
- util-linux (<< 2.40.1-3),
-Breaks:
- util-linux (<< 2.40.1-3),
-Recommends:
- libpam-wtmpdb,
-Multi-Arch: foreign
-Description: utility to display login/logout/reboot information
- This package provides the program wtmpdb, which reads wtmp's
- database of user logins/logouts and system reboots.
- .
- It provides a year 2038-safe replacement for the traditional Unix
- "last" utility.

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,16 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFOPTS)
 
+# Notes:
+#  1. Do not add a boot entry on installation because most likely we are
+#     either not running in the target system or we have migrated the wtmp
+#     boot entry and in all cases we did not just boot up.
+#  2. Do not enable the rotation service because it provides no benefit: the
+#     rotated logs are not pruned, they simply become harder to interrogate.
+override_dh_installsystemd:
+	dh_installsystemd -pwtmpdb --no-start --no-stop-on-upgrade wtmpdb-update-boot.service
+	dh_installsystemd -pwtmpdb --no-enable wtmpdb-rotate.timer
+	dh_installsystemd -Nwtmpdb
+
 override_dh_installinit:
-	dh_installinit --name=wtmpdb-update-boot --no-stop-on-upgrade
+	dh_installinit --name=wtmpdb-update-boot --no-start --no-stop-on-upgrade

## wtmpdb 0.74.0

=== debian/changelog ===
wtmpdb (0.74.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Refresh updated empty file handling patch
  * Remove leftover /etc/cron.monthly/wtmpdb
  * Improve README.Debian for pre-wtmpdb upgrades

 -- Andrew Bower <andrew@bower.uk>  Sat, 04 Oct 2025 09:50:10 +0100

wtmpdb (0.74.0-1) experimental; urgency=medium

  * New upstream version
    - drop patch applied upstream
  * Rotate logs annually with logrotate (Closes: #1094965)
    - apply patch to handle empty database file benignly
    - make rotated files receive same permissions (Closes: #1076308)
  * Remove database and rotated logs on purge per policy 10.8
  * d/control: remove RRR:no key redundant due to new defaults
  * d/watch: convert to version 5 using template

 -- Andrew Bower <andrew@bower.uk>  Thu, 25 Sep 2025 02:14:00 +0100

## wtmpdb 0.75.0

=== meson_options.txt ===
option('wtmpdbd', type : 'feature', value : 'auto',
       description : 'build daemon with sd-varlink support')
option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib or such''')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('man', type : 'feature', value : 'auto',
       description : 'build and install man pages')
option('audit', type : 'feature', value : 'auto',
       description : 'libaudit support')
option('systemd', type : 'feature', value : 'auto',
       description : 'systemd support to detect soft-reboots')
option('compat-symlink', type : 'boolean', value : false,
       description : 'create last compat symlink')

=== debian/changelog ===
wtmpdb (0.75.0-5) unstable; urgency=medium

  * Patch to fix last -x split rendering (Closes: #1102105)
  * Install unused upstream rotation-only config as example files

 -- Andrew Bower <andrew@bower.uk>  Sun, 02 Nov 2025 15:24:48 +0000

wtmpdb (0.75.0-4) unstable; urgency=medium

  * Fix purge of wtmpdb files in /var/log

 -- Andrew Bower <andrew@bower.uk>  Sat, 11 Oct 2025 23:32:01 +0100

wtmpdb (0.75.0-3) unstable; urgency=medium

  * Fix incomplete patch to log to /var/log (Closes: #1117719)

 -- Andrew Bower <andrew@bower.uk>  Sat, 11 Oct 2025 19:24:24 +0100

wtmpdb (0.75.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Bower <andrew@bower.uk>  Sat, 11 Oct 2025 14:16:40 +0100

wtmpdb (0.75.0-1) experimental; urgency=medium

  * New upstream version
    - drop patch applied upstream
  * Move live database to /var/log/wtmp.db
  * d/README.source: document packaging workflow

 -- Andrew Bower <andrew@bower.uk>  Fri, 10 Oct 2025 01:01:17 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Maintainer: Andrew Bower <andrew@bower.uk>
 Section: admin
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/wtmpdb
 Vcs-Git: https://salsa.debian.org/debian/wtmpdb.git
 Homepage: https://github.com/thkukuk/wtmpdb/
@@ -32,6 +31,7 @@
  util-linux (<< 2.40.1-3),
 Recommends:
  libpam-wtmpdb,
+ logrotate,
 Multi-Arch: foreign
 Description: utility to display login/logout/reboot information
  This package provides the program wtmpdb, which reads wtmpdb's

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, build-essential, meson, pkgconf
